#include <bits/stdc++.h>
using namespace std;
int main(){
	string s;
	cin >> s;
	string res;
	for(int i = s.size()-1; i>=0; i--){
		if(s[i] == '5'){
			res += '2';
		}else if(s[i] == '2'){
			res += '5';
		}else{
			res += s[i];
		}
	}
	// 1230
	// 351
	int l;
	for(int i=0;i<res.size();i++){
		if(res[i]!='0'){
			l=i;
			break;
		}
	}
	for(int i=l;i<res.size();i++){
		cout << res[i] ;
	}
}
